org.keycloak.social.stackoverflow

## Class StackoverflowUserAttributeMapper

- java.lang.Object
- - org.keycloak.broker.provider.AbstractIdentityProviderMapper
  - - org.keycloak.broker.oidc.mappers.AbstractJsonUserAttributeMapper
    - - org.keycloak.social.stackoverflow.StackoverflowUserAttributeMapper

- All Implemented Interfaces:
    IdentityProviderMapper, ConfiguredProvider, Provider, ProviderFactory<IdentityProviderMapper>

      public class StackoverflowUserAttributeMapper
      extends AbstractJsonUserAttributeMapper

  User attribute mapper.
  Author:
    Vlastimil Elias (velias at redhat dot com)

- - ### Field Summary

    - ### Fields inherited from class org.keycloak.broker.oidc.mappers.AbstractJsonUserAttributeMapper

      `CONF_JSON_FIELD, CONF_USER_ATTRIBUTE, CONTEXT_JSON_NODE, logger, LOGGER_DUMP_USER_PROFILE`

    - ### Fields inherited from interface org.keycloak.broker.provider.IdentityProviderMapper

      `ANY_PROVIDER, DEFAULT_IDENTITY_PROVIDER_MAPPER_SYNC_MODES`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `StackoverflowUserAttributeMapper()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String[]` | `getCompatibleProviders()`
    `String` | `getId()`

    - ### Methods inherited from class org.keycloak.broker.oidc.mappers.AbstractJsonUserAttributeMapper

      `getConfigProperties, getDisplayCategory, getDisplayType, getHelpText, getJsonValue, getJsonValue, preprocessFederatedIdentity, storeUserProfileForMapper, supportsSyncMode, updateBrokeredUser, updateBrokeredUserLegacy`

    - ### Methods inherited from class org.keycloak.broker.provider.AbstractIdentityProviderMapper

      `close, create, importNewUser, init, postInit`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.keycloak.provider.ProviderFactory

      `order`

- - ### Constructor Detail

    - #### StackoverflowUserAttributeMapper

          public StackoverflowUserAttributeMapper()

  - ### Method Detail

    - #### getCompatibleProviders

          public String[] getCompatibleProviders()

    - #### getId

          public String getId()

Copyright © 2021 JBoss by Red Hat. All rights reserved.